MP4(3)

NAME

MP4AppendHintTrackSdp - Add to the SDP media level description of the hint track

SYNTAX

#include <mp4.h>

bool MP4AppendHintTrackSdp(
    MP4FileHandle hFile,
    const char* sdpString
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

sdpString
    Specifies the addition to the hint track sdp string.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4AppendHintTrackSdp appends the specified string to the SDP (IETF RFC 2327) media level fragment for the hint track. This is used by a streaming server to create a complete SDP description of the multimedia session represented by the file.

SEE ALSO

MP4(3) MP4GetHintTrackSdp(3) MP4SetHintTrackSdp(3)